<script>
    // Dependencies
    import { scaleLinear} from "d3-scale";
    import { area } from "d3-shape";

    export let data;

    // Get domain
    let usageElectricity = data.map(item => item.total_electrity);
    let usageGas = data.map(item => item.total_gas);
    let domain = [0, Math.max(Math.max(... usageElectricity), Math.max(... usageGas))];

    // Variables
    let colours = ["#4169E1", "#FFAA33"]; // blue, orange
    let hours = data.length;

    // Scales
    const xScale = scaleLinear().domain([0, hours]).range([0, hours]);
    const yScale = scaleLinear().domain(domain).range([0, 75]);

    // Add new key with hour number in week
    for(let i=0; i < hours; i++) data[i].hoursWeek = i;

    // Areas
    let electricity = area().x(item => xScale(item.hoursWeek)).y0(item => 0).y1(item => yScale(-item.total_electrity));
    let gas = area().x(item => xScale(item.hoursWeek)).y0(item => 0).y1(item => yScale(item.total_gas));


</script>

<path d={electricity(data)} fill={colours[0]}/>
<path d={gas(data)} fill={colours[1]}/>
<line x1={0} y1={0} x2={xScale(hours)} y2={0} stroke="black"/>
